Main Page | Modules | Data Structures | File List | Data Fields | Globals | Related Pages
All | Functions | Variables | Typedefs | Defines
_ | a | b | c | d | e | f | i | j | k | l | m | n | o | p | r | s | t | u | w

### - _ -

- _WINSOCKAPI_ : win32-svc.c

### - a -

- ADAPTER_DESC_LENGTH : Packet32.h
- ADAPTER_NAME_LENGTH : Packet32.h
- ADD_EAXi : jitter.h
- ADDib : jitter.h
- ADDid : jitter.h
- ADDrd : jitter.h
- AL : jitter.h
- ANDib : jitter.h
- ANDid : jitter.h
- ANDrd : jitter.h
- AX : jitter.h

### - b -

- BADARG : utils.c
- BADCH : utils.c
- bhp : Pcap-win32.c
- BIOCGEVNAME : Packet.h
- BIOCGSTATS : Packet.h
- BIOCISDUMPENDED : Packet.h
- BIOCQUERYOID : Packet.h
- BIOCSENDPACKETSNOSYNC : Packet.h
- BIOCSENDPACKETSSYNC : Packet.h
- BIOCSETBUFFERSIZE : Packet.h
- BIOCSETDUMPFILENAME : Packet.h
- BIOCSETDUMPLIMITS : Packet.h
- BIOCSETF : Packet.h
- BIOCSETOID : Packet.h
- BIOCSMINTOCOPY : Packet.h
- BIOCSMODE : Packet.h
- BIOCSRTIMEOUT : Packet.h
- BIOCSWRITEREP : Packet.h
- BL : jitter.h
- BP : jitter.h
- BPF_EXECUTE : Win32-Extensions.h
- BPF_GET_REGISTER_VALUE : Win32-Extensions.h
- BPF_INIT : Win32-Extensions.h
- BPF_LOOKUP : Win32-Extensions.h
- BPF_MEM_EX : Win32-Extensions.h
- BPF_MEM_EX_IMM : Win32-Extensions.h
- BPF_MEM_EX_IND : Win32-Extensions.h
- BPF_RESET : Win32-Extensions.h
- BPF_SEPARATION : Win32-Extensions.h
- BPF_SET_ACTIVE : Win32-Extensions.h
- BPF_SET_ACTIVE_READ : Win32-Extensions.h
- BPF_SET_AUTODELETION : Win32-Extensions.h
- BPF_SET_MEMORY : Win32-Extensions.h
- BPF_SET_REGISTER_VALUE : Win32-Extensions.h
- BPF_SET_WORKING : Win32-Extensions.h
- BPF_TME : Win32-Extensions.h
- BPF_VALIDATE : Win32-Extensions.h
- BSWAP : jitter.h
- BX : jitter.h

### - c -

- CHUNK0SIZE : gencode.c
- CL : jitter.h
- CMPid : jitter.h
- CMPodd : jitter.h
- CMPrd : jitter.h
- CX : jitter.h

### - d -

- DI : jitter.h
- DIVrd : jitter.h
- DL : jitter.h
- DLT_CHOICE : pcap.c
- DLT_CHOICE_SENTINEL : pcap.c
- DOSNAMEPREFIX : Packet32.h
- DX : jitter.h

### - e -

- EAX : jitter.h
- EBP : jitter.h
- EBX : jitter.h
- ECX : jitter.h
- EDI : jitter.h
- EDX : jitter.h
- EMSG : utils.c
- ENDING_CHAR : pcap-new.c
- ESI : jitter.h
- ESP : jitter.h
- ETHERMTU : gencode.c
- EXIT_FAILURE : Packet.h
- EXIT_SUCCESS : Packet.h

### - f -

- FILE_DEVICE_PROTOCOL : Packet32.h
- FMESQUITA_TCPDUMP_MAGIC : savefile.c

### - i -

- IMMEDIATE : Packet.h
- INFO_FLAG_DAG_CARD : Packet32.h
- INFO_FLAG_DAG_FILE : Packet32.h
- INFO_FLAG_NDIS_ADAPTER : Packet32.h
- INFO_FLAG_NDISWAN_ADAPTER : Packet32.h
- INT_MAX : inet.c
- IOCTL_CLOSE : Packet32.h
- IOCTL_OPEN : Packet32.h
- IOCTL_PROTOCOL_MACNAME : Packet32.h
- IOCTL_PROTOCOL_READ : Packet32.h
- IOCTL_PROTOCOL_RESET : Packet32.h
- IOCTL_PROTOCOL_STATISTICS : Packet32.h
- IOCTL_PROTOCOL_WRITE : Packet32.h
- IPPROTO_AH : gencode.c
- IPPROTO_ESP : gencode.c
- IPPROTO_IGMP : gencode.c
- IPPROTO_IGRP : gencode.c
- IPPROTO_NONE : gencode.c
- IPPROTO_PIM : gencode.c
- IPPROTO_SCTP : gencode.c
- IPPROTO_VRRP : gencode.c
- ISLOOPBACK : inet.c

### - j -

- JA : jitter.h
- JAE : jitter.h
- JE : jitter.h
- JG : jitter.h
- JGE : jitter.h
- JLE : jitter.h
- JLEb : jitter.h
- JMP : gencode.c, jitter.h
- JNEb : jitter.h

### - k -

- KUZNETZOV_TCPDUMP_MAGIC : savefile.c

### - l -

- LINKTYPE_AIRONET_HEADER : savefile.c
- LINKTYPE_APPLE_IP_OVER_IEEE1394 : savefile.c
- LINKTYPE_ARCNET : savefile.c
- LINKTYPE_ARCNET_LINUX : savefile.c
- LINKTYPE_ATM_CLIP : savefile.c
- LINKTYPE_ATM_RFC1483 : savefile.c
- LINKTYPE_AURORA : savefile.c
- LINKTYPE_AX25 : savefile.c
- LINKTYPE_BACNET_MS_TP : savefile.c
- LINKTYPE_C_HDLC : savefile.c
- LINKTYPE_CHAOS : savefile.c
- LINKTYPE_CISCO_IOS : savefile.c
- LINKTYPE_DOCSIS : savefile.c
- LINKTYPE_ECONET : savefile.c
- LINKTYPE_ENC : savefile.c
- LINKTYPE_ETHERNET : savefile.c
- LINKTYPE_EXP_ETHERNET : savefile.c
- LINKTYPE_FDDI : savefile.c
- LINKTYPE_FRELAY : savefile.c
- LINKTYPE_HDLC : savefile.c
- LINKTYPE_HHDLC : savefile.c
- LINKTYPE_HIPPI : savefile.c
- LINKTYPE_IBM_SN : savefile.c
- LINKTYPE_IBM_SP : savefile.c
- LINKTYPE_IEEE802_11 : savefile.c
- LINKTYPE_IEEE802_11_RADIO : savefile.c
- LINKTYPE_IEEE802_11_RADIO_AVS : savefile.c
- LINKTYPE_IP_OVER_FC : savefile.c
- LINKTYPE_IPFILTER : savefile.c
- LINKTYPE_JUNIPER_ATM1 : savefile.c
- LINKTYPE_JUNIPER_ATM2 : savefile.c
- LINKTYPE_JUNIPER_ES : savefile.c
- LINKTYPE_JUNIPER_GGSN : savefile.c
- LINKTYPE_JUNIPER_MFR : savefile.c
- LINKTYPE_JUNIPER_MLFR : savefile.c
- LINKTYPE_JUNIPER_MLPPP : savefile.c
- LINKTYPE_JUNIPER_MONITOR : savefile.c
- LINKTYPE_JUNIPER_SERVICES : savefile.c
- LINKTYPE_LANE8023 : savefile.c
- LINKTYPE_LINUX_IRDA : savefile.c
- LINKTYPE_LINUX_SLL : savefile.c
- LINKTYPE_LOOP : savefile.c
- LINKTYPE_LTALK : savefile.c
- LINKTYPE_NULL : savefile.c
- LINKTYPE_PCI_EXP : savefile.c
- LINKTYPE_PFLOG : savefile.c
- LINKTYPE_PPP : savefile.c
- LINKTYPE_PPP_BSDOS : savefile.c
- LINKTYPE_PPP_ETHER : savefile.c
- LINKTYPE_PPP_HDLC : savefile.c
- LINKTYPE_PRISM_HEADER : savefile.c
- LINKTYPE_PRONET : savefile.c
- LINKTYPE_RAW : savefile.c
- LINKTYPE_RAWSS7 : savefile.c
- LINKTYPE_RAWSS7_MTP2 : savefile.c
- LINKTYPE_RAWSS7_MTP3 : savefile.c
- LINKTYPE_RAWSS7_SCCP : savefile.c
- LINKTYPE_RIO : savefile.c
- LINKTYPE_SLIP : savefile.c
- LINKTYPE_SLIP_BSDOS : savefile.c
- LINKTYPE_SUNATM : savefile.c
- LINKTYPE_SYMANTEC_FIREWALL : savefile.c
- LINKTYPE_TOKEN_RING : savefile.c
- LINKTYPE_TZSP : savefile.c
- LINKTYPE_USER0 : savefile.c
- LINKTYPE_USER1 : savefile.c
- LINKTYPE_USER10 : savefile.c
- LINKTYPE_USER11 : savefile.c
- LINKTYPE_USER12 : savefile.c
- LINKTYPE_USER13 : savefile.c
- LINKTYPE_USER14 : savefile.c
- LINKTYPE_USER15 : savefile.c
- LINKTYPE_USER2 : savefile.c
- LINKTYPE_USER3 : savefile.c
- LINKTYPE_USER4 : savefile.c
- LINKTYPE_USER5 : savefile.c
- LINKTYPE_USER6 : savefile.c
- LINKTYPE_USER7 : savefile.c
- LINKTYPE_USER8 : savefile.c
- LINKTYPE_USER9 : savefile.c

### - m -

- MAX_ACTIVE_LIST : rpcapd.h
- MAX_HOST_LIST : rpcapd.h
- MAX_LINE : rpcapd.h, pcap_filter.c
- MAX_LINK_NAME_LENGTH : Packet32.h
- MAX_MAC_ADDR_LENGTH : Packet32.h
- MAX_NETWORK_ADDRESSES : Packet32.h
- Max_Num_Adapter : TestPacketSend.c, TestPacketCapture.c
- MAX_PRINT : pcap_filter.c
- MAX_REQUESTS : Packet.h
- MODE_CAPT : incs/pcap.h, Packet.h
- MODE_DUMP : Packet.h
- MODE_MON : Packet.h
- MODE_STAT : incs/pcap.h, Packet.h
- MOVid : jitter.h
- MOVobb : jitter.h
- MOVobd : jitter.h
- MOVobw : jitter.h
- MOVodd : jitter.h
- MOVomd : jitter.h
- MOVrd : jitter.h
- MULrd : jitter.h

### - n -

- NCHUNKS : gencode.c
- NdisMediumCHDLC : Packet32.h
- NdisMediumNull : Packet32.h
- NdisMediumPPPSerial : Packet32.h
- NEGd : jitter.h
- NMAX_PACKET : Packet32.h
- NTKERNEL : Packet.h
- NUM_NDIS_MEDIA : Openclos.c

### - o -

- ODS : Packet32.h
- ODSEx : Packet32.h
- offsetof : gencode.c
- ORid : jitter.h
- ORrd : jitter.h

### - p -

- Packet_ALIGNMENT : Packet.h, Packet32.h
- PACKET_MODE_CAPT : Packet32.h
- PACKET_MODE_DUMP : Packet32.h
- PACKET_MODE_MON : Packet32.h
- PACKET_MODE_STAT : Packet32.h
- PACKET_MODE_STAT_DUMP : Packet32.h
- Packet_WORDALIGN : Packet.h, Packet32.h
- pATTACHPROCESS : Packet32.h
- pBIOCEVNAME : Packet32.h
- pBIOCGSTATS : Packet32.h
- pBIOCISDUMPENDED : Packet32.h
- pBIOCQUERYOID : Packet32.h
- pBIOCSENDPACKETSNOSYNC : Packet32.h
- pBIOCSENDPACKETSSYNC : Packet32.h
- pBIOCSETBUFFERSIZE : Packet32.h
- pBIOCSETDUMPFILENAME : Packet32.h
- pBIOCSETDUMPLIMITS : Packet32.h
- pBIOCSETF : Packet32.h
- pBIOCSETOID : Packet32.h
- pBIOCSMINTOCOPY : Packet32.h
- pBIOCSMODE : Packet32.h
- pBIOCSRTIMEOUT : Packet32.h
- pBIOCSTIMEZONE : Packet32.h
- pBIOCSWRITEREP : Packet32.h
- PCAP_BUF_SIZE : remote-ext.h
- PCAP_ERR_AUTH : pcap-remote.h
- PCAP_ERR_ENDCAPTURE : pcap-remote.h
- PCAP_ERR_FINDALLIF : pcap-remote.h
- PCAP_ERR_GETSTATS : pcap-remote.h
- PCAP_ERR_HOSTNOAUTH : pcap-remote.h
- PCAP_ERR_INITTIMEOUT : pcap-remote.h
- PCAP_ERR_NETW : pcap-remote.h
- PCAP_ERR_NOREMOTEIF : pcap-remote.h
- PCAP_ERR_OPEN : pcap-remote.h
- PCAP_ERR_READEX : pcap-remote.h
- PCAP_ERR_REMOTEACCEPT : pcap-remote.h
- PCAP_ERR_RUNTIMETIMEOUT : pcap-remote.h
- PCAP_ERR_SETSAMPLING : pcap-remote.h
- PCAP_ERR_STARTCAPTURE : pcap-remote.h
- PCAP_ERR_UPDATEFILTER : pcap-remote.h
- PCAP_ERR_WRONGMSG : pcap-remote.h
- PCAP_ERR_WRONGVER : pcap-remote.h
- PCAP_ERRBUF_SIZE : incs/pcap.h
- PCAP_IF_LOOPBACK : incs/pcap.h
- PCAP_OPENFLAG_DATATX_UDP : remote-ext.h
- PCAP_OPENFLAG_NOCAPTURE_RPCAP : remote-ext.h
- PCAP_OPENFLAG_PROMISCUOUS : remote-ext.h
- PCAP_SAMP_1_EVERY_N : remote-ext.h
- PCAP_SAMP_FIRST_AFTER_N_MS : remote-ext.h
- PCAP_SAMP_NOSAMP : remote-ext.h
- PCAP_SRC_FILE : remote-ext.h
- PCAP_SRC_FILE_STRING : remote-ext.h
- PCAP_SRC_IF_STRING : remote-ext.h
- PCAP_SRC_IFLOCAL : remote-ext.h
- PCAP_SRC_IFREMOTE : remote-ext.h
- PCAP_STATS_EX : pcap-remote.c
- PCAP_STATS_STANDARD : pcap-remote.c
- PCAP_TEXT_SOURCE_ADAPTER : pcap-new.c
- PCAP_TEXT_SOURCE_FILE : pcap-new.c
- PCAP_TEXT_SOURCE_ON_LOCAL_HOST : pcap-new.c
- PCAP_TEXT_SOURCE_ON_REMOTE_HOST : pcap-new.c
- PCAP_VERSION_MAJOR : incs/pcap.h, Packet.h
- PCAP_VERSION_MINOR : incs/pcap.h, Packet.h
- PcapBufSize : Pcap-win32.c
- pDETACHPROCESS : Packet32.h
- POP : jitter.h
- PROGRAM_NAME : rpcapd.h
- PUSH : jitter.h

### - r -

- RESERVED : Packet.h
- RET : jitter.h
- RPCAP_ACTIVE_WAIT : pcap-remote.h
- RPCAP_DEFAULT_NETADDR : pcap-remote.h
- RPCAP_DEFAULT_NETPORT : pcap-remote.h
- RPCAP_DEFAULT_NETPORT_ACTIVE : pcap-remote.h
- RPCAP_HOSTLIST_SEP : pcap-remote.h
- RPCAP_HOSTLIST_SIZE : remote-ext.h
- RPCAP_MSG_AUTH_REPLY : pcap-remote.h
- RPCAP_MSG_AUTH_REQ : pcap-remote.h
- RPCAP_MSG_CLOSE : pcap-remote.h
- RPCAP_MSG_ENDCAP_REPLY : pcap-remote.h
- RPCAP_MSG_ENDCAP_REQ : pcap-remote.h
- RPCAP_MSG_ERROR : pcap-remote.h
- RPCAP_MSG_FINDALLIF_REPLY : pcap-remote.h
- RPCAP_MSG_FINDALLIF_REQ : pcap-remote.h
- RPCAP_MSG_OPEN_REPLY : pcap-remote.h
- RPCAP_MSG_OPEN_REQ : pcap-remote.h
- RPCAP_MSG_PACKET : pcap-remote.h
- RPCAP_MSG_SETSAMPLING_REPLY : pcap-remote.h
- RPCAP_MSG_SETSAMPLING_REQ : pcap-remote.h
- RPCAP_MSG_STARTCAP_REPLY : pcap-remote.h
- RPCAP_MSG_STARTCAP_REQ : pcap-remote.h
- RPCAP_MSG_STATS_REPLY : pcap-remote.h
- RPCAP_MSG_STATS_REQ : pcap-remote.h
- RPCAP_MSG_UPDATEFILTER_REPLY : pcap-remote.h
- RPCAP_MSG_UPDATEFILTER_REQ : pcap-remote.h
- RPCAP_NETBUF_SIZE : pcap-remote.h
- RPCAP_RMTAUTH_NULL : remote-ext.h
- RPCAP_RMTAUTH_PWD : remote-ext.h
- RPCAP_STARTCAPREQ_FLAG_DGRAM : pcap-remote.h
- RPCAP_STARTCAPREQ_FLAG_INBOUND : pcap-remote.h
- RPCAP_STARTCAPREQ_FLAG_OUTBOUND : pcap-remote.h
- RPCAP_STARTCAPREQ_FLAG_PROMISC : pcap-remote.h
- RPCAP_STARTCAPREQ_FLAG_SERVEROPEN : pcap-remote.h
- RPCAP_SUSPEND_WRONGAUTH : pcap-remote.h
- RPCAP_TIMEOUT_INIT : pcap-remote.h
- RPCAP_TIMEOUT_RUNTIME : pcap-remote.h
- RPCAP_UPDATEFILTER_BPF : pcap-remote.h
- RPCAP_VERSION : pcap-remote.h

### - s -

- SFERR_BADF : savefile.c
- SFERR_BADVERSION : savefile.c
- SFERR_EOF : savefile.c
- SFERR_TRUNC : savefile.c
- SHL_CLrb : jitter.h
- SHLib : jitter.h
- SHR_CLrb : jitter.h
- SHRib : jitter.h
- SHUT_WR : sockutils.c
- SI : jitter.h
- SIZE_BUF : Pcap-win32.c
- snprintf : sockutils.c
- SOCK_ASSERT : sockutils.h
- SOCK_ERRBUF_SIZE : sockutils.c
- SOCK_RECEIVEALL_NO : sockutils.h
- SOCK_RECEIVEALL_YES : sockutils.h
- SOCKBUF_BUFFERIZE : sockutils.h
- SOCKBUF_CHECKONLY : sockutils.h
- SOCKET : sockutils.h
- SOCKET_MAXCONN : rpcapd.h
- SOCKET_NAME_NULL_DAD : sockutils.c
- SOCKET_NO_NAME_AVAILABLE : sockutils.c
- SOCKET_NO_PORT_AVAILABLE : sockutils.c
- SOCKOPEN_CLIENT : sockutils.h
- SOCKOPEN_SERVER : sockutils.h
- SP : jitter.h
- SUB_EAXi : jitter.h
- SUBrd : jitter.h
- SWAP_AX : jitter.h
- SWAPLONG : savefile.c, gencode.c
- SWAPSHORT : savefile.c

### - t -

- TCPDUMP_MAGIC : savefile.c, Packet.h
- TEMP_BUF_SIZE : sockutils.c
- TRANSMIT_PACKETS : Packet.h

### - u -

- UNICODE : Packet32.c

### - w -

- WINSOCK_MAJOR_VERSION : sockutils.c
- WINSOCK_MINOR_VERSION : sockutils.c

documentation. Copyright (c) 2002-2003 Politecnico di Torino. All rights reserved.